Subject: Re: [bug#41188] [PATCH] Do not propagate "emacs-org" in Emacs packages

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 17 May 2020 17:45:28 +0200

Nicolas Goaziou <[email-masked]> writes:

>> On a more serious note, I have had _many_ issues with byte-compilation
>> of org-related anything over the years.
>
> I have not encountered such problems. I don't use much Org-related
> anything, either. Would you have any example in mind?
>
>> Wouldn't this mean that the list of packages that is touched by this
>> patch will be byte-compiled using the outdated org-mode that comes
>> with Emacs?
>
> It means exactly that.
>
>> Put another way, will all of these packages still work if I _do_ have
>> emacs-org installed in my profile?
>
> Good question. This is why I'm sending this patch for review in the
> first place.

I think it’s a good idea to ignore the version of org-mode that comes
with Emacs and assume that the latest version is installed, because they
are unfortunately far apart that I’m sure will cause problems.

I’m assuming that Org users generally will have a more recent org-mode
installed.

> OTOH, we currently force users to always update Org, possibly
> introducing, each time, breakage in their workflow, to get features that
> would work perfectly with bundled Org.

This is a general problem with Guix, though.  Org-mode is no exception.

-- 
Ricardo